/*
	Unix SMB/CIFS wrapper implementation.
	Copyright (C) 2012 by Quest Software <legal@quest.com>
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation under version 3 of the License.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*

DO NOT MODIFY THIS CODE TO INCLUDE ANY PROPRIETARY COMMUNICATION PROTOCOL

ALL COMMANDS SHOULD REMAIN SIMPLE STRINGS AS DESCRIBED IN cifsd.h AND OPEN
SOURCED ACCORDINGLY WITH GPLv3 LICENCE TEXT

*/

#ifndef CIFSD_H
#define CIFSD_H

#define CIFSD_BIN            "cifsd"

#define CIFS_CMD_QUIT        "quit"
#define CIFS_CMD_OPEN_R      "open_r"
#define CIFS_CMD_OPEN_W      "open_w"
#define CIFS_CMD_CLOSE       "close"
#define CIFS_CMD_READ        "read"
#define CIFS_CMD_WRITE       "write"
#define CIFS_CMD_LSEEK       "lseek"
#define CIFS_CMD_SIZE        "size"
#define CIFS_CMD_SIZE_R      "size_r"
#define CIFS_CMD_SIZE_W      "size_w"
#define CIFS_CMD_FSIZE       "fsize"
#define CIFS_CMD_UNLINK      "unlink"
#define CIFS_CMD_RENAME      "rename"
#define CIFS_CMD_OPENDIR     "opendir"
#define CIFS_CMD_READDIR     "readdir"
#define CIFS_CMD_CLOSEDIR    "closedir"
#define CIFS_CMD_MKDIR       "mkdir"
#define CIFS_CMD_RMDIR       "rmdir"
#define CIFS_CMD_ACCESS      "access"

#define CIFS_DEFAULT_TIMEOUT 300000 /* milliseconds */

#endif

